Filter ATA graph entities by clicked alarm severity
post
/sia/v1/event/ata/graph/alarmFilter
Returns the currently visible graph device and edge entity IDs that have active alarms matching the supplied severity and alarm type.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectRequest to filter the currently visible ATA graph entities by clicked alarm severity and alarm type.
Show Source
-
alarmType: string
Selected alarm type. Supported values: Planned, Unplanned.Example:
Planned -
deviceEntityIds: array
deviceEntityIds
Currently visible graph device entity IDs. Missing or null is treated as empty; null and blank IDs are ignored.
-
edgeEntityIds: array
edgeEntityIds
Currently visible graph edge entity IDs. Missing or null is treated as empty; null and blank IDs are ignored.
-
severity: string
Clicked alarm severity. Supported values: CRITICAL, MAJOR, MINOR, WARNING, INDETERMINATE.Example:
MAJOR
Nested Schema : deviceEntityIds
Type:
arrayCurrently visible graph device entity IDs. Missing or null is treated as empty; null and blank IDs are ignored.
Show Source
Nested Schema : edgeEntityIds
Type:
arrayCurrently visible graph edge entity IDs. Missing or null is treated as empty; null and blank IDs are ignored.
Show Source
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Graph alarm filter retrieved successfully.
Root Schema : GraphAlarmFilterResponse
Type:
objectFiltered ATA graph entity IDs matching the clicked alarm severity and alarm type.
Show Source
-
deviceEntityIds: array
deviceEntityIds
Filtered visible device entity IDs.
-
edgeEntityIds: array
edgeEntityIds
Filtered visible edge entity IDs.
Examples
400 Response
The request isn't valid
401 Response
The request is unauthorized
403 Response
The request is forbidden
500 Response
An Internal Server Error has occurred